Points history
curl --request GET \
--url https://api.marzipan.co/v1/account/rewards/points-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/rewards/points-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/rewards/points-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"data": [
{
"id": "b1c2d3e4-1111-2222-3333-444455556666",
"customerId": "aa11bb22-cc33-dd44-ee55-ff6677889900",
"orderId": "9c8b7a6d-5555-4444-3333-222211110000",
"points": 40,
"balanceAfter": 320,
"type": "order",
"description": "Points earned on order #1042",
"metadata": null,
"order": {
"id": "9c8b7a6d-5555-4444-3333-222211110000",
"orderId": "1042"
},
"createdAt": "2026-06-30T14:12:00.000000Z"
}
],
"meta": {
"currentPage": 1,
"lastPage": 3,
"perPage": 20,
"total": 45
}
}{
"message": "Unauthenticated."
}Rewards
Points history
Get the authenticated customer’s paginated points transaction history, most recent first. When the rewards programme is disabled for the tenant, only enabled: false is returned.
GET
/
account
/
rewards
/
points-history
Points history
⌘I

